/* 

---- 01 TYPOGRAPHY SYSTEM
      
- FONT SIZE SYSTEM (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights
Default: 400 
Medium: 500
Semi-bold: 600
Bold: 700

- Line heights
Default: 1
Small: 1.05
Medium: 1.2
Paragraph Default: 1.6

- Letter spacing 
-0.5px
0.75px

---- 02 COLORS

- Primary:

- Tints: 
- Shades: 
- Accents: 
- Grays: 
#555 
#333
#fae5d3
#bbb

---- 05 SHADOWS

---- 06 BORDER-RADIUS

Default: 9px;
Medium: 11px;

---- 07 WHITESPACE

- SPACING SYSTEM (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

*/

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  /* font-size: 10px; */
  /* 10px / 16px = 0.625 = 62.5% */
  /* Percentage of user's browser font-size setting */
  font-size: 62.5%;

  /* Does NOT work with Safari */
  scroll-behavior: smooth;
}

body {
  font-family: "Roboto";

  overflow-x: hidden;
  /* Only works if there is nothing absolutely positioned in relation to the body */
}

.grid {
  display: grid;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
}

.grid--4-cols {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  max-width: 180rem;
}

.grid--2-cols {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  margin: 2.6rem 4.6rem 0 2.6rem;
  row-gap: 5.6rem;
  column-gap: 3.6rem;
}

.grid-center-v {
  align-items: center;
  column-gap: 1rem;
  row-gap: 1rem;
}
/* ***************************** 
General Reusable Components  
******************************* */

*:focus {
  outline: none;
  /* outline: 4px dotted ---(color);
  outline-offset: 8px; */
  box-shadow: 0 0 0 0.8rem ---color;
}

/* ******* Helper Classes ***********/
